/payments/account-settings/appkeys/stripe
1 min
POST
https://app.amberflo.io/payments/account-settings/appkeys/stripe
Body Parameters
- bodypayment.payment.StripeCode.in
- codestring
- isTestModeboolean
- namestring
- idstring
Responses
200
- payment.payment.AccountPaymentSetting.out
- accountIdstring
- billingSystempayment.pricing.BillingSystem.out
- gracePeriodinteger<int32>
- sendPaymentAutomaticallyboolean
- emailInvoiceToCustomerboolean
- paymentAccountIdstring
- awsRoleArnstring
- awsProductIdstring
- awsProductCodestring
- awsExternalIdstring
- awsDimensionstring
- isTestModeboolean
- namestring
- idstring
- createTimeInMillisinteger<int64>
- lastUpdateTimeInMillisinteger<int64>
curl
curl --request POST \
--url https://app.amberflo.io/payments/account-settings/appkeys/stripe \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/account-settings/appkeys/stripe", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/account-settings/appkeys/stripe")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/account-settings/appkeys/stripe"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"accountId": "",
"billingSystem": "",
"gracePeriod": "",
"sendPaymentAutomatically": false,
"emailInvoiceToCustomer": false,
"paymentAccountId": "",
"awsRoleArn": "",
"awsProductId": "",
"awsProductCode": "",
"awsExternalId": "",
"awsDimension": "",
"isTestMode": false,
"name": "",
"id": "",
"createTimeInMillis": "",
"lastUpdateTimeInMillis": ""
}